from __future__ import absolute_import

__description__ = "allows classifiers to be an importable submodule"
__author__ = "Patrick Godwin (patrick.godwin@ligo.org)"
__doc__ = "\n\n".join([__description__, __author__])

### import base functionality
from .base import *

### import optional classifiers if relevant libraries are installed
from .ovl import *

try:
    import keras
except ImportError:
    pass
else:
    from .keras import *

try:
    import sklearn
except ImportError:
    pass
else:
    from .sklearn import *

__all__ = ['base', 'ovl', 'keras', 'sklearn']
